Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516972 - [abrt] blender: ghash_keyhash(): blender killed by SIGSEGV
Summary: [abrt] blender: ghash_keyhash(): blender killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: blender
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8766ecf9d560239c034930ce28d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 17:32 UTC by donovancastillo
Modified: 2018-04-09 13:24 UTC (History)
7 users (show)

Fixed In Version: blender-2.79b-2.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-09 13:24:29 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: cgroup (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: core_backtrace (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: cpuinfo (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: dso_list (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: environ (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: limits (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: maps (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: mountinfo (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: open_fds (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: proc_pid_status (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details
File: var_log_messages (deleted)
2017-11-23 17:32 UTC, donovancastillo
no flags Details

Description donovancastillo 2017-11-23 17:32:06 UTC
Description of problem:
I'm trying to render a scene with toon materials and freestyle and blender just turn off after rendering a few frames

Version-Release number of selected component:
blender-2.79-1.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        blender
crash_function: ghash_keyhash
executable:     /usr/bin/blender
journald_cursor: s=96ffa5f0bff4406f845026613c1736c7;i=948f2;b=155909ae430646b8b521694e006af032;m=4fa1c63d3;t=55ea9b01efccd;x=4f9b4b494bafb3b1
kernel:         4.13.13-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ghash_keyhash at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/blenlib/intern/BLI_ghash.c:146
 #1 ghash_lookup_entry at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/blenlib/intern/BLI_ghash.c:427
 #2 BLI_ghash_lookup at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/blenlib/intern/BLI_ghash.c:776
 #3 id_release_weakref at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/python/intern/bpy_rna.c:278
 #4 BPY_id_release at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/python/intern/bpy_rna.c:296
 #5 BKE_libblock_free_ex at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/blenkernel/intern/library_remap.c:876
 #6 BKE_libblock_free at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/blenkernel/intern/library_remap.c:908
 #7 Freestyle::BlenderStrokeRenderer::~BlenderStrokeRenderer() at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/freestyle/intern/blender_interface/BlenderStrokeRenderer.cpp:180
 #9 Freestyle::Controller::RenderStrokes(Render*, bool) at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/freestyle/intern/application/Controller.cpp:924
 #10 FRS_do_stroke_rendering(Render*, SceneRenderLayer*, int) at /usr/src/debug/blender-2.79-1.fc27.x86_64/source/blender/freestyle/intern/blender_interface/FRS_freestyle.cpp:631

Potential duplicate: bug 1219326

Comment 1 donovancastillo 2017-11-23 17:32:14 UTC
Created attachment 1358357 [details]
File: backtrace

Comment 2 donovancastillo 2017-11-23 17:32:16 UTC
Created attachment 1358358 [details]
File: cgroup

Comment 3 donovancastillo 2017-11-23 17:32:18 UTC
Created attachment 1358359 [details]
File: core_backtrace

Comment 4 donovancastillo 2017-11-23 17:32:20 UTC
Created attachment 1358360 [details]
File: cpuinfo

Comment 5 donovancastillo 2017-11-23 17:32:22 UTC
Created attachment 1358361 [details]
File: dso_list

Comment 6 donovancastillo 2017-11-23 17:32:23 UTC
Created attachment 1358362 [details]
File: environ

Comment 7 donovancastillo 2017-11-23 17:32:25 UTC
Created attachment 1358363 [details]
File: limits

Comment 8 donovancastillo 2017-11-23 17:32:28 UTC
Created attachment 1358364 [details]
File: maps

Comment 9 donovancastillo 2017-11-23 17:32:29 UTC
Created attachment 1358365 [details]
File: mountinfo

Comment 10 donovancastillo 2017-11-23 17:32:31 UTC
Created attachment 1358366 [details]
File: open_fds

Comment 11 donovancastillo 2017-11-23 17:32:32 UTC
Created attachment 1358367 [details]
File: proc_pid_status

Comment 12 donovancastillo 2017-11-23 17:32:34 UTC
Created attachment 1358368 [details]
File: var_log_messages

Comment 13 Fedora Update System 2018-03-31 05:50:50 UTC
YafaRay-3.3.0-9.fc27 blender-2.79b-2.fc27 openvdb-5.0.0-2.fc27 alembic-1.7.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0a65ef193

Comment 14 Fedora Update System 2018-03-31 05:51:39 UTC
YafaRay-3.3.0-9.fc28 blender-2.79b-2.fc28 openvdb-5.0.0-2.fc28 alembic-1.7.7-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-480728188f

Comment 15 Fedora Update System 2018-04-01 04:53:08 UTC
YafaRay-3.3.0-9.fc27, alembic-1.7.7-1.fc27, blender-2.79b-2.fc27, openvdb-5.0.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0a65ef193

Comment 16 Fedora Update System 2018-04-01 04:58:45 UTC
YafaRay-3.3.0-9.fc28, alembic-1.7.7-1.fc28, blender-2.79b-2.fc28, openvdb-5.0.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-480728188f

Comment 17 Fedora Update System 2018-04-04 04:14:19 UTC
YafaRay-3.3.0-10.fc28 alembic-1.7.7-1.fc28 blender-2.79b-2.fc28 openvdb-5.0.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-480728188f

Comment 18 Fedora Update System 2018-04-04 04:18:31 UTC
YafaRay-3.3.0-10.fc27 alembic-1.7.7-1.fc27 blender-2.79b-2.fc27 openvdb-5.0.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0a65ef193

Comment 19 Fedora Update System 2018-04-04 17:56:43 UTC
YafaRay-3.3.0-10.fc27, alembic-1.7.7-1.fc27, blender-2.79b-2.fc27, openvdb-5.0.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0a65ef193

Comment 20 Fedora Update System 2018-04-04 18:34:30 UTC
YafaRay-3.3.0-10.fc28, alembic-1.7.7-1.fc28, blender-2.79b-2.fc28, openvdb-5.0.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-480728188f

Comment 21 Fedora Update System 2018-04-09 13:24:29 UTC
YafaRay-3.3.0-10.fc28, alembic-1.7.7-1.fc28, blender-2.79b-2.fc28, openvdb-5.0.0-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.